# CbcHeuristicDiveCoefficient Class Reference

DiveCoefficient class. More...

`#include <CbcHeuristicDiveCoefficient.hpp>`

Inheritance diagram for CbcHeuristicDiveCoefficient:
[legend]
Collaboration diagram for CbcHeuristicDiveCoefficient:
[legend]

List of all members.

## Public Member Functions
| CbcHeuristicDiveCoefficient ()
| CbcHeuristicDiveCoefficient (CbcModel &model)
| CbcHeuristicDiveCoefficient (const CbcHeuristicDiveCoefficient &)
| ~CbcHeuristicDiveCoefficient ()
virtual CbcHeuristicDiveCoefficient * | clone () const
| Clone.
CbcHeuristicDiveCoefficient & | operator= (const CbcHeuristicDiveCoefficient &rhs)
| Assignment operator.
virtual void | generateCpp (FILE *fp)
| Create C++ lines to get to current state.
virtual bool | selectVariableToBranch (OsiSolverInterface *solver, const double *newSolution, int &bestColumn, int &bestRound)
| Selects the next variable to branch on.

## Detailed Description

DiveCoefficient class.

Definition at line 14 of file CbcHeuristicDiveCoefficient.hpp.

## Constructor & Destructor Documentation

CbcHeuristicDiveCoefficient::CbcHeuristicDiveCoefficient | ( |  | ) |

CbcHeuristicDiveCoefficient::CbcHeuristicDiveCoefficient | ( | CbcModel & | model | ) |

CbcHeuristicDiveCoefficient::CbcHeuristicDiveCoefficient | ( | const CbcHeuristicDiveCoefficient & |  | ) |

CbcHeuristicDiveCoefficient::~CbcHeuristicDiveCoefficient | ( |  | ) |

## Member Function Documentation

virtual CbcHeuristicDiveCoefficient* CbcHeuristicDiveCoefficient::clone | ( |  | ) | const`[virtual]`

Clone.

Implements CbcHeuristicDive.

CbcHeuristicDiveCoefficient& CbcHeuristicDiveCoefficient::operator= | ( | const CbcHeuristicDiveCoefficient & | rhs | ) |

Assignment operator.

Reimplemented from CbcHeuristicDive.

virtual void CbcHeuristicDiveCoefficient::generateCpp | ( | FILE * | fp | ) | `[virtual]`

Create C++ lines to get to current state.

Reimplemented from CbcHeuristicDive.

virtual bool CbcHeuristicDiveCoefficient::selectVariableToBranch | ( | OsiSolverInterface * | solver,
|  | const double * | newSolution,
|  | int & | bestColumn,
|  | int & | bestRound |
| ) |  |  | `[virtual]`

Selects the next variable to branch on.

Returns true if all the fractional variables can be trivially rounded. Returns false, if there is at least one fractional variable that is not trivially roundable. In this case, the bestColumn returned will not be trivially roundable.

Implements CbcHeuristicDive.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.8.0/Cbc/src/CbcHeuristicDiveCoefficient.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines